classification
Title: Document changes made in bpo-42195
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, kj
Priority: normal Keywords: patch

Created on 2020-12-18 16:38 by kj, last changed 2020-12-20 03:38 by kj. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23839 merged kj, 2020-12-18 16:41
PR 23852 merged kj, 2020-12-19 05:02
Messages (4)
msg383304 - (view) Author: Ken Jin (kj) * (Python committer) Date: 2020-12-18 16:38
A whatsnew is probably needed as this change causes backwards incompatibility in some code working with Python 3.9.0 and 3.9.1. I think the patch for Python 3.9.2 should mention that a DeprecationWarning is emitted for some invalid use cases, which will eventually become a TypeError.
msg383310 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-12-18 17:39
New changeset d75f6f78e6ca230d0dacc116dca9d8bf91509b68 by kj in branch 'master':
bpo-42675: Document collections.abc.Callable changes (GH-23839)
https://github.com/python/cpython/commit/d75f6f78e6ca230d0dacc116dca9d8bf91509b68
msg383406 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-12-19 22:32
New changeset 597ebc8cf604de49eabbc7b83be2debd005d7819 by kj in branch '3.9':
[3.9] bpo-42675: Document collections.abc.Callable changes (GH-23839) (#23852)
https://github.com/python/cpython/commit/597ebc8cf604de49eabbc7b83be2debd005d7819
msg383407 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-12-19 22:32
Can this be closed now?
History
Date User Action Args
2020-12-20 03:38:24kjsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-12-19 22:32:27gvanrossumsetmessages: + msg383407
2020-12-19 22:32:14gvanrossumsetmessages: + msg383406
2020-12-19 05:02:01kjsetpull_requests: + pull_request22716
2020-12-18 17:39:35gvanrossumsetmessages: + msg383310
2020-12-18 16:41:49kjsetkeywords: + patch
stage: patch review
pull_requests: + pull_request22698
2020-12-18 16:38:34kjcreate